Subject: Re: [MBONED] Question about multicast address to be used in documentation and example

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 08:47:59 -0700

So, what happens in that documentation tool when you use
some address from IPv4 multicast admin-scope or link-local scope ?
After all, you will need to be able to use addresses from all different
scopes in examples, because of the example you are trying to make.
eGLOB is just one of these scopes. 

On Wed, Oct 15, 2008 at 05:21:42PM +0200, Maglione Roberta wrote:
> 
> >>From [email-masked]  Wed Oct 15 08:47:53 2008
Date: Wed, 15 Oct 2008 08:47:59 -0700
From: Toerless Eckert <[email-masked]>
To: Maglione Roberta <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Stig Venaas <[email-masked]>
Subject: Re: [MBONED] Question about multicast address to be used in
	documentation and example
Sender: [email-masked]

So, what happens in that documentation tool when you use
some address from IPv4 multicast admin-scope or link-local scope ?
After all, you will need to be able to use addresses from all different
scopes in examples, because of the example you are trying to make.
eGLOB is just one of these scopes. 

On Wed, Oct 15, 2008 at 05:21:42PM +0200, Maglione Roberta wrote:
> 
> > But I guess assigning a specific multicast prefix would be good,
> >
> >> I suppose it's always helpful if people know that a particular
> >> address is
> >>  reserved for documentation purposes and so cannot be part of a live
> >> configuration.
> >
> 
> > My thinking was that the FIRST such range in eGLOP could be so
> > reserved. Is a /24 sufficient?
> 
> I think /24 would be fine for documentation.
> 
> Thanks,
> Roberta
> 
> -----Original Message-----
> From: Marshall Eubanks [mailto:[email-masked]]
> Sent: Wednesday, October 15, 2008 5:05 PM
> To: Leo Vegoda
> Cc: Stig Venaas; Maglione Roberta; [email-masked]
> Subject: Re: [MBONED] Question about multicast address to be used in documentation and example
> 
> 
> On Oct 15, 2008, at 10:52 AM, Leo Vegoda wrote:
> 
> > Hi,
> >
> > On 15/10/2008 4:14, "Stig Venaas" <[email-masked]> wrote:
> >
> > [...]
> >
> >>> I checked RFC3330, it proposes an IPv4 range to be used in
> >>> documentation and
> >>> example but only for unicast, I could not find an equivalent range
> >>> for
> >>> multicast. Does this range exist for multicast? Or should I remove
> >>> the
> >>> example from the draft?
> >>
> >> There is a draft draft-ietf-idr-as-documentation-reservation-00.txt
> >> proposing ASNs 64496 - 64511 for documentation. This is only a draft.
> >> But if this is approved, then I guess you could use GLOP addresses
> >> based on those for documentation :)
> >
> > In draft-ietf-mboned-rfc3171bis-03.txt we have marked that portion
> > of the
> > space for extending the AD-HOC range (section 9.2).
> >
> > [...]
> >
> 
> 
> >I think that a /32 would be too small, and inconvenient as well.
> 
> Marshall
> 
> > Regards,
> >
> > Leo
> >
> > _______________________________________________
> > MBONED mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mboned
> 
> 
> 
> CONFIDENTIALITY NOTICE
> 
> This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to [email-masked].
> 
>         Thank you
> 
>                                         www.telecomitalia.it
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned

-- 
---
Toerless Eckert, [email-masked]
Cisco NSSTG Systems & Technology Architecture
"The strategy is what you do, not what you write" - Wesley Clark
"Vision without ressources is hallucination" - James L. Jones
_______________________________________________
MBONED mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mboned

>>> But I guess assigning a specific multicast prefix would be good,
> >
> >> I suppose it's always helpful if people know that a particular
> >> address is
> >>  reserved for documentation purposes and so cannot be part of a live
> >> configuration.
> >
> 
> > My thinking was that the FIRST such range in eGLOP could be so
> > reserved. Is a /24 sufficient?
> 
> I think /24 would be fine for documentation.
> 
> Thanks,
> Roberta
> 
> -----Original Message-----
> From: Marshall Eubanks [mailto:[email-masked]]
> Sent: Wednesday, October 15, 2008 5:05 PM
> To: Leo Vegoda
> Cc: Stig Venaas; Maglione Roberta; [email-masked]
> Subject: Re: [MBONED] Question about multicast address to be used in documentation and example
> 
> 
> On Oct 15, 2008, at 10:52 AM, Leo Vegoda wrote:
> 
> > Hi,
> >
> > On 15/10/2008 4:14, "Stig Venaas" <[email-masked]> wrote:
> >
> > [...]
> >
> >>> I checked RFC3330, it proposes an IPv4 range to be used in
> >>> documentation and
> >>> example but only for unicast, I could not find an equivalent range
> >>> for
> >>> multicast. Does this range exist for multicast? Or should I remove
> >>> the
> >>> example from the draft?
> >>
> >> There is a draft draft-ietf-idr-as-documentation-reservation-00.txt
> >> proposing ASNs 64496 - 64511 for documentation. This is only a draft.
> >> But if this is approved, then I guess you could use GLOP addresses
> >> based on those for documentation :)
> >
> > In draft-ietf-mboned-rfc3171bis-03.txt we have marked that portion
> > of the
> > space for extending the AD-HOC range (section 9.2).
> >
> > [...]
> >
> 
> 
> >I think that a /32 would be too small, and inconvenient as well.
> 
> Marshall
> 
> > Regards,
> >
> > Leo
> >
> > _______________________________________________
> > MBONED mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mboned
> 
> 
> 
> CONFIDENTIALITY NOTICE
> 
> This message and its attachments are addressed solely to the persons above and may contain confidential information. If you have received the message in error, be informed that any use of the content hereof is prohibited. Please return it immediately to the sender and delete the message. Should you have any questions, please contact us by replying to [email-masked].
> 
>         Thank you
> 
>                                         www.telecomitalia.it
> _______________________________________________
> MBONED mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mboned

-- 
---
Toerless Eckert, [email-masked]
Cisco NSSTG Systems & Technology Architecture
"The strategy is what you do, not what you write" - Wesley Clark
"Vision without ressources is hallucination" - James L. Jones
_______________________________________________
MBONED mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mboned

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 11:51:12 -0400

> eGLOB is just one of these scopes.

This would be like example.com - something you should never use.

There is no way to create a space like this in 239.0.0.0 AFAICT - too  
many people use too many
random pieces of it. (Or, to be more precise, we could do it, but we  
would never be able to enforce it.)

Is there a suitable range for examples in IPv6 ?

Regards
Marshall

>> This message and its attachments are addressed solely to the  
>> persons above and may contain confidential information. If you have  
>> received the message in error, be informed that any use of the  
>> content hereof is prohibited. Please return it immediately to the  
>> sender and delete the message. Should you have any questions,  
>> please contact us by replying to [email-masked].
>>
>>        Thank you
>>
>>                                        www.telecomitalia.it

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 11:51:12 -0400

Regards
Marshall

---

From: Stig Venaas <[email-masked]>
Date: Wed, 15 Oct 2008 18:01:07 +0200

> Is there a suitable range for examples in IPv6 ?

Only I know, is that you can use unicast prefix based multicast
addresses based on 2001:db8::/32. Also embedded-RP. This can be done
for all scopes. Question is whether one also need examples for other
types of addresses...

In particular for both IPv4 and IPv6 one should probably have examples
also in the SSM range.

Stig

>>> This message and its attachments are addressed solely to the persons 
>>> above and may contain confidential information. If you have received 
>>> the message in error, be informed that any use of the content hereof 
>>> is prohibited. Please return it immediately to the sender and delete 
>>> the message. Should you have any questions, please contact us by 
>>> replying to [email-masked].
>>>
>>>        Thank you
>>>
>>>                                        www.telecomitalia.it

---

From: Stig Venaas <[email-masked]>
Date: Wed, 15 Oct 2008 18:01:07 +0200

Stig

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:09:48 -0700

> would never be able to enforce it.)

Are you telling me i should not use explicit 239/8 admin scope addresses
in examples ? How about rfc1918 unicast addresses ? Are they not allowed
in examples either ? Especially for examples that for example depend on
using rfc1918 addresses ?

Cheers
    Toerless

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:09:48 -0700

Cheers
    Toerless

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:14:11 -0700

> In particular for both IPv4 and IPv6 one should probably have examples

IPv6 IMHO is simple, because all we need is one prefix owned by IETF
or whomever designated for documentation, and we can derive all unicast
and multicast addresses and unicast addresses of interest from it IMHO.

IPv4 multicast is the issue, because of all those historic scopes you
may want to use in examples.

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:14:11 -0700

---

From: "Tony Ballardie" <[email-masked]>
Date: Wed, 15 Oct 2008 17:29:41 +0100

> using rfc1918 addresses ?

Hear hear!

---

From: "Tony Ballardie" <[email-masked]>
Date: Wed, 15 Oct 2008 17:29:41 +0100

Hear hear!

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 12:36:55 -0400

On Oct 15, 2008, at 12:29 PM, Tony Ballardie wrote:

>> in examples ?

In my opinion, that SHOULD be avoided. The whole point of an example  
range is not to collide with other people.

>> How about rfc1918 unicast addresses ? Are they not
>> allowed

RFC3330 :
192.0.2.0/24 - This block is assigned as "TEST-NET" for use in  
documentation and example code. It is often used in conjunction with  
domain names example.com or example.net in vendor and protocol  
documentation. Addresses within this block should not appear on the  
public Internet.
Why wouldn't this work ?

Marshall

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 15 Oct 2008 12:36:55 -0400

RFC3330 :

Marshall

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:56:34 -0700

> documentation. Addresses within this block should not appear on the  

Let me explain with a hypothetical company called Cisco that would have a
customer support group called the TAC:

If Cisco documentation would start using 192.0.2.0 in documentation about
eg: NAT features to showcase utilization of rfc1918 addresses8, then the
TAC would send a lynch mob over to documentation because of all the customers
starting to use 192.0.2.0 instead of 10/8 and calling the TAC with whatever
issues that causes ;-))

Ooops, did i fail to anonymize this example ? ;-)

Cheers
    Toerless

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 15 Oct 2008 09:56:34 -0700

Cheers
    Toerless

---

From: Antonio Querubin <[email-masked]>
Date: Wed, 15 Oct 2008 10:19:09 -1000 (HST)

> Is there a suitable range for examples in IPv6 ?

With the use of SSM and embedded RP, the collision between a documentation 
range and operational use doesn't seem as big a problem for IPv6.

Antonio Querubin
whois:  AQ7-ARIN

---

From: Antonio Querubin <[email-masked]>
Date: Wed, 15 Oct 2008 10:19:09 -1000 (HST)

Antonio Querubin
whois:  AQ7-ARIN